%define upstream_name MooseX-Types-Path-Tiny
%define upstream_version 0.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Path::Tiny types and coercions for Moose
License:    ASL 2.0
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.180.0
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Stringlike)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides Path::Tiny types for Moose. It handles two important
types of coercion:

    * coercing objects with overloaded stringification
    * coercing to absolute paths

It also can check to ensure that files or directories exist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-6.mga6
+ Revision: 1030704
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.11.0-5.mga6
+ Revision: 949749
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.11.0-4.mga5
+ Revision: 790406
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-3.mga5
+ Revision: 750730
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.0-2.mga5
+ Revision: 685586
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 0.11.0-1.mga5
+ Revision: 669918
- update to 0.011

* Mon Feb 24 2014 jquelin <jquelin> 0.10.0-1.mga5
+ Revision: 596328
- update to 0.010

* Thu Feb 06 2014 sander85 <sander85> 0.7.0-1.mga5
+ Revision: 584540
- update to 0.007

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 534788
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 478890
- imported package perl-MooseX-Types-Path-Tiny

